Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Interface Visibility

All Known Subinterfaces:
  BeanContext, BeanContextServices

public interface Visibility

Under some circumstances a bean may be run on servers where a GUI is not available. This interface can be used to query a bean to determine whether it absolutely needs a gui, and to advise the bean whether a GUI is available.

This interface is for expert developers, and is not needed for normal simple beans. To avoid confusing end-users we avoid using getXXX setXXX design patterns for these methods.

Method Summary
`boolean` | `avoidingGui()` Determines whether this bean is avoiding using a GUI.
`void` | `dontUseGui()` This method instructs the bean that it should not use the Gui.
`boolean` | `needsGui()` Determines whether this bean needs a GUI.
`void` | `okToUseGui()` This method instructs the bean that it is OK to use the Gui.

Method Detail

### needsGui

    public boolean needsGui()

  Determines whether this bean needs a GUI.
  Returns:
    True if the bean absolutely needs a GUI available in order to get its work done.

### dontUseGui

    public void dontUseGui()

  This method instructs the bean that it should not use the Gui.

### okToUseGui

    public void okToUseGui()

  This method instructs the bean that it is OK to use the Gui.

### avoidingGui

    public boolean avoidingGui()

  Determines whether this bean is avoiding using a GUI.
  Returns:
    true if the bean is currently avoiding use of the Gui. e.g. due to a call on dontUseGui().

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.